/*
 * ===========================
 * VDK Visual Development Kit
 * Version 0.4
 * October 1998
 * ===========================
 *
 * Copyright (C) 1998, Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef HANDLEBOX_H
#define HANDLEBOX_H
#include <vdk/widcontain.h>
/*!
  \class VDKHandleBox
  \brief This class provides a gtkhandle box wrapper
  \par SIGNALS
  \arg \b child_attached_signal received when widget is attached to owner
  \arg \b child_detached_signal received when widget is detached from owner
  \par EXAMPLES
  In ./testvdk/tbarwin.cc
 */
class VDKHandleBox: public VDKObjectContainer
{
 protected:
  static void HandleBoxSignal (GtkWidget* ,GtkWidget *, gpointer );
public:
  // properties
  /*!
    Use this property to access the widget contained into an handlebox
   */
  VDKReadOnlyValueProp<VDKHandleBox,VDKObject*> Child;
  /*!
    Constructor
    \param owner
   */
  VDKHandleBox(VDKForm* owner);
  /*!
    Destructor
  */
  virtual ~VDKHandleBox();
  /*!
    Add an widget to handlebox
   */
  virtual void Add(VDKObject* obj, int justify = l_justify,
		   int expand = TRUE, int fill = TRUE , int padding = 0);
};
#endif

