/*
 * ===========================
 * VDK Visual Development Kit
 * Version 0.4
 * October 1998
 * ===========================
 *
 * Copyright (C) 1998, Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef RAWOBJ_H
#define RAWOBJ_H
class VDKObject;
class VDKForm;
/*!
  \class VDKRawObject
  \brief Provides a base class for derived raw objects.

  User normally does not make objects belonging to this class but
  derived instances of fonts, colors and pixmaps.
 */
class VDKRawObject
{
 protected:
  VDKObject *owner;

 public:
  VDKRawObject(VDKObject* owner);
  virtual ~VDKRawObject();
  /*!
    Explicitely destroys removing from garbage collection if
    applicable and free allocated memory.
   */
  bool Destroy();
};
#endif
