/*
 * ===========================
 * VDK Visual Develeopment Kit
 * Version 2.0.0
 * February 2001
 * ===========================
 *
 * Copyright (C) 1998, Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef _editorcompo_h
#define _editorcompo_h
#include <vdk/vdk.h>
class EditorComponent: public VDKBox
{
 private:
  int HasPage(const char* filename);
 protected:
  VDKToolbar* tbar;
  VDKNotebook *nbook;
  static void OnVDKEditorRealize(GtkWidget*, gpointer);
  TokenList* tokenlist;
 public:
  EditorComponent(VDKForm* owner);
  ~EditorComponent() { if  (tokenlist) delete tokenlist; }
  void Setup();
  void AddPage(const char* filename, const char* member = NULL);
  void ScrollTo(const char* member);
  bool OnToolbarClicked(VDKObject* sender);
  DECLARE_SIGNAL_MAP(EditorComponent);
  DECLARE_SIGNAL_LIST(EditorComponent);
};
#endif
